class AddGovukGuixRevisionToGovukGuixDataSnapshot < ActiveRecord::Migration[5.1]
  def change
    add_column(
      :govuk_guix_data_snapshots,
      :govuk_guix_revision_commit_hash,
      :string,
      null: false
    )
    add_foreign_key(
      :govuk_guix_data_snapshots,
      :govuk_guix_revisions,
      column: :govuk_guix_revision_commit_hash,
      primary_key: :commit_hash
    )
  end
end
